<?php header('Content-Type: text/html; charset=utf-8');
	require_once( "cod/Pasti.php" );
	require_once( "cod/duminica.php" );
	require_once( "cod/post.php" );
    require_once( "cod/lang.php" );

    if( empty( $_GET['lang'])){
        $_GET['lang'] = 'ro_RO.UTF-8';
    }

    $fmtMonthFull = datefmt_create($_GET['lang'], 0, 0, null, null, 'MMMM');
    $fmtMonthShort = datefmt_create($_GET['lang'], 0, 0, null, null, 'MMM');
    $fmtWeekday = datefmt_create($_GET['lang'], 0, 0, null, null, 'EEEEE');
    $fmtDay = datefmt_create($_GET['lang'], 0, 0, null, null, 'd');
    $lang = substr( $_GET['lang'], 0, 2); // ro
    $ls = new Language( $lang);

    $zi = getdate();
    $thisYear = $zi["year"];
    if( empty( $_GET['an'])){
        $_GET['an'] = $thisYear;
        $aziLuna = $zi["mon"];
    }

    $year = intval( $_GET["an"]);
    $Easter = getEasterDate( $year );
    if( !$Easter ){
        die("An incorect: $year");
    }

	$start = mktime( 0, 0, 0, 1, 1, $year ); // Prima zi
	$end = mktime( 0, 0, 0, 12, 31, $year ); // Ultima zi

function getDayText( $details )
{
	if( !$details )
	{
		return FALSE;
	}
	$text = "";
	if( $details->title )
	{
		$text .= "<b>$details->title</b>";
		if( $details->subtitle )
		{
			$text .= "; ";
		}
	}
	$text .= $details->subtitle;
	return $text;
}

function getDayComment( $details )
{
	if( !$details )
	{
		return FALSE;
	}
	if( $details->Ev_title )
	{
		return "(" . $details->Ev_title . ") ";
	}
	else
	{
		return "";
	}
}
?>
<!DOCTYPE HTML>

<html lang="<?= $lang?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Content-Language" content="<?= $lang?>">
<link rel="stylesheet" type="text/css" href="stiluri/implicit.css">
<link rel="stylesheet" type="text/css" href="stiluri/calendar_anual.css">
<script>
function listAll()
{
	for( var i = 1; i <= 12; i++ )
	{
		document.getElementById( "month" + i ).className = "calendar";
	}
	print();
}

function listMonth( month )
{
	for( var i = 1; i <= 12; i++ )
	{
		document.getElementById( "month" + i ).className = ( i == month ) ? "calendar" : "calendar noPrint";
	}
	print();
}
</script>
<title>Calendar Creştin Ortodox <?= htmlspecialchars($year)?></title>
</head>
<body>
<p class="titlu">Calendar Creştin Ortodox</p>
<form class="noPrint" action="#">
<span class="next">
    <a href="?lang=fr_FR.UTF-8" hreflang="fr">Franceză</a>
    |
    <a href="?lang=ro_RO.UTF-8" hreflang="ro">Română</a>
</span>
<button type="button" class="imprimare" onclick="listAll()"><?= htmlspecialchars($year)?></button>
<p class="subtitlu"><span><select
	name="an" onchange="this.form.submit()">
	<?php
	for( $an = 1970; $an <= 2037; $an++ )
	{
?>
	<option value="<?= htmlspecialchars($an)?>" <?= $an == $year ? 'selected' : ''?>><?= htmlspecialchars($an)?></option>
	<?php
	}
?>
</select></span></p>
<div class="lunaList">
<?php
	for( $day = $start; $day <= $end; $day = strtotime( "next month", $day ) )
	{
		$zi = getdate( $day );
		$month = $zi['mon'];
?>
		<a href="#luna<?= htmlspecialchars($month)?>"><?= datefmt_format($fmtMonthFull, $day )?></a>
<?php
	}
?>
</div>
</form>

<p class="subtitlu noScreen"><?= htmlspecialchars($year)?></p>
<?php
	$month = 0;
	$ore = 9; // decembrie
	for( $day = $start; ; $day = strtotime( "tomorrow", $day ) )
	{
		$zi = getdate( $day );
		$thisMonth = $zi["mon"];
		if( $thisMonth != $month )
		{
			if( $month )
			{
?>
</table>
</div>
<?php
			}
			flush();
			ob_flush();
			$month = $thisMonth;
			if( $day > $end )
			{
				break;
			}
			if( $month <= 6 )
			{
				$ore++;
			}
			else
			{
				$ore--;
			}
?>
<div class="calendar" id="month<?= htmlspecialchars($month)?>">
<table align="center" frame="void" rules="none" cellspacing="0" cellpadding="0">
	<tbody>
		<tr class='luna'>
			<td colspan="3">
				<button type="button" class="noPrint imprimare" onclick="listMonth(<?= htmlspecialchars($month)?>)"><?= datefmt_format($fmtMonthShort, $day)?></button>
				<div class="nume_luna"><a name="luna<?= htmlspecialchars($month)?>"><?= datefmt_format($fmtMonthFull, $day)?></a>
					(<?= date('t', $day)?> <?= $ls->zile?>)</div>
				<span class="ore"><?= $ls->ziua?> <?= htmlspecialchars($ore)?> <?= $ls->ore?>, <?= $ls->noaptea?> <?= 24 - $ore?> <?= $ls->ore?></span>
<?php
		}
		$duminica = $zi["wday"] == 0;
		$week = getWeekFromEaster( $zi, $Easter );
		$details = getDayDetails( $week, $Easter, false, $zi );
		$holiday = getHolidayDetails( $zi, $Easter );
		$sarbatoare = $duminica || !empty( $details->title) || !empty( $holiday->title);
		$clasa = $sarbatoare ? "sarbatoare" : "normal";
        if( $duminica){
            $clasa .= " saptamana";
        }

		$sapt = datefmt_format($fmtWeekday, $day);
?>
		<tr class="<?= htmlspecialchars($clasa)?>">
			<td class="ziua"><?= datefmt_format($fmtDay, $day)?>
			<td class="sapt"><?= htmlspecialchars($sapt)?>
			<td><?php if( !empty( $holiday)){?><a class="sinaxar" title="Sinaxar" href="sinaxar.php?date=<?= htmlspecialchars($day)?>"><?php }?>
<?php
		if( $duminica )
		{
			$text1 = FALSE;
		}
		else
		{
			$text1 = getDayText( $details );
		}
		$text2 = getDayText( $holiday );
		echo $text1;
		if( $text1 && $text2 )
		{
			echo "; ";
		}
		echo $text2;
?>
        <?php if( !empty( $holiday)){?></a><?php }?>
<?php
        $comentariu = getDayComment( $details ) . getDayComment( $holiday );
		if( getLiturghia( $week, $zi ) == LIT_NU )
		{
            $comentariu .= '(' . $ls->LIT_NU . ')';
		}
        if( !empty( $comentariu))
        {
?>
        <span class="comentariu"><?= $comentariu?></span>
<?php   }

        $post = getPost( $zi["mday"], $zi["mon"], $zi["year"] );
        $pics = getPostPics( $post);

        if( $postText = getPostText( $post, $zi )){
?>
        <span class="comentariu">(<?= htmlspecialchars( $postText)?>)</span>
<?php
        }

        if (isset($holiday->patrar)) {
            $pics = $holiday->patrar . $pics;
        }
?>
        <span class="next"><?= $pics?></span>
<?php
		if( $duminica )
		{
?>
		<tr class="duminica">
			<td colspan="3"><?php if( @$details->title ){ ?>
				<span class="title"><?= htmlspecialchars($details->title)?></span><?php if( @$details->subtitle ){ ?>
				<span class="subtitle">(<?= htmlspecialchars($details->subtitle)?>)</span><?php } ?>;
<?php }
			$voscr = @$holiday->voscr;
			$glas = @$holiday->glas;
			if( empty( $holiday->title))
			{
				$holiday = FALSE;
			}
?>
				<?= DayDetails::getPericopa( DayDetails::joinMembers( "Ap", $holiday, $details ),
					DayDetails::joinMembers( "Ev", $holiday, $details ) )?><?php
			if( $voscr )
			{
?>; <?= $ls->glas?>&nbsp;<?= $glas?>, <?= $ls->voscr?>&nbsp;<?= $voscr?>
<?php
			}
		}
	}
?>

<?php if( $lang == 'fr') {?>
<p class="nota">Traducerea în limba franceză a fost realizată de Pr. Manolache Constantin Cătălin de la Parohia Ortodoxă Română
<i>Sf. M. Mc. Gheorghe și Sf. Paisie de la Neamț</i> - Le Havre, Franța (<a href="http://lehavre.mitropolia.eu">http://lehavre.mitropolia.eu</a>)</p>
<?php }

	$calendarFile = "resurse/kit/calendar_anual.zip";
	if( file_exists( $calendarFile ) )
	{
		$calendarLast = filemtime( $calendarFile );
		$calendarLast = date( "j.m.Y", $calendarLast );
?>
<p class="nota noPrint">Dacă doriţi includerea acestui calendar pe site-ul dvs.
îl puteţi descărca de <a href="<?= htmlspecialchars($calendarFile)?>">aici</a>.
(Ultima actualizare: <?= htmlspecialchars($calendarLast)?>)</p>
<?php } ?>
<?php if( !empty( $aziLuna)){?>
<script>
if( !location.hash){
    location.hash = "#luna<?= $aziLuna?>";
}
</script>
<?php }?>
</body>
</html>
