<?php header('Content-Type: text/html; charset=utf-8');
	require_once( "cod/Pasti.php" );
	require_once( "cod/duminica.php" );
	require_once( "cod/post.php" );
    require_once( "cod/lang.php" );

    if( empty( $_GET['lang'])){
        $_GET['lang'] = 'ro_RO';
    }

    $fmtMonthYear = datefmt_create($_GET['lang'], 0, 0, null, null, 'MMMM yyyy');
    $fmtMonthFull = datefmt_create($_GET['lang'], 0, 0, null, null, 'MMMM');
    $fmtWeekday = datefmt_create($_GET['lang'], 0, 0, null, null, 'EEEEE');
    $fmtDay = datefmt_create($_GET['lang'], 0, 0, null, null, 'd');
    $lang = substr( $_GET['lang'], 0, 2); // ro
    $ls = new Language( $lang);

    if( empty( $_GET['an'])){
        $_GET['an'] = date('Y');
    }
	$year = intval( $_GET["an"]);
	$Easter = getEasterDate( $year );
	if( !$Easter ){
        die("An incorect: $year");
    }

    if( empty( $_GET['luna'])){
        $_GET['luna'] = date('n');
    }
    $month = intval( $_GET["luna"]);
    if( $month < 1 || $month > 12){
        die("Lună incorectă: $month");
    }
	$start = mktime( 0, 0, 0, $month, 1, $year ); // Prima zi

function getDayText( $details )
{
	if( !$details )
	{
		return FALSE;
	}
	$text = "";
	if( $details->title )
	{
		$text .= "<b>$details->title</b>";
		if( $details->subtitle )
		{
			$text .= "; ";
		}
	}
	$text .= $details->subtitle;
	return $text;
}

function getDayComment( $details )
{
	if( !$details )
	{
		return FALSE;
	}
	if( $details->Ev_title )
	{
		return "(" . $details->Ev_title . ") ";
	}
	else
	{
		return "";
	}
}
?>
<!DOCTYPE HTML>

<html lang="<?= $lang?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet" type="text/css" href="stiluri/implicit.css" />
<link rel="stylesheet" type="text/css" href="stiluri/calendar_anual.css" />
<title><?= ucfirst( datefmt_format($fmtMonthYear, $start ))?></title>
</head>
<body>
<div class="toolbar">
    <a href="?lang=fr_FR.UTF-8" hreflang="fr">Franceză</a>
    |
    <a href="?lang=ro_RO.UTF-8" hreflang="ro">Română</a>
</div>
<p class="subtitlu noScreen"><?= datefmt_format($fmtMonthYear, $start )?></p>
<div class="calendar">
<table align="center" frame="void" rules="none" cellspacing="0" cellpadding="0">
    <tbody>
        <tr class='luna'>
            <td colspan="3">
                <form class="nume_luna">
                    <select name="luna" onchange="this.form.submit();">
                    <?php for( $i = 1; $i <= 12; $i++){?>
                        <option value="<?= $i?>" <?= $i == $month ? 'selected' : ''?>><?= datefmt_format($fmtMonthFull, mktime( 0, 0, 0, $i, 1, $year ))?></option>
                    <?php }?>
                    </select>
                    <select name="an" onchange="this.form.submit();">
                    <?php for( $i = 1970; $i <= 2037; $i++){?>
                        <option <?= $i == $year ? 'selected' :''?>><?= $i?></option>
                    <?php }?>
                    </select>
                    (<?= date('t', $start)?> <?= $ls->zile?>)
                </form>
<?php
	for( $day = $start; date('n', $day) == $month; $day = strtotime( "tomorrow", $day ) )
	{
        $zi = getdate( $day );
		$zile = $zi["mday"];
		$duminica = $zi["wday"] == 0;
		$week = getWeekFromEaster( $zi, $Easter );
		$details = getDayDetails( $week, $Easter, false, $zi );
		$holiday = getHolidayDetails( $zi, $Easter );
		$sarbatoare = $duminica || !empty($details->title) || !empty($holiday->title);
		$clasa = $sarbatoare ? "sarbatoare" : "normal";
        if( $duminica){
            $clasa .= " saptamana";
        }

        $sapt = datefmt_format($fmtWeekday, $day );
?>
		<tr class="<?= $clasa?>">
			<td class="ziua"><?= datefmt_format($fmtDay, $day )?>
			<td class="sapt"><?= $sapt?>
			<td><?php if( !empty( $holiday)){?><a class="sinaxar" title="Sinaxar" href="sinaxar.php?date=<?= $day?>"><?php }?>
<?php
		if( $duminica )
		{
			$text1 = FALSE;
		}
		else
		{
			$text1 = getDayText( $details );
		}
		$text2 = getDayText( $holiday );
		echo $text1;
		if( $text1 && $text2 )
		{
			echo "; ";
		}
		echo $text2;
?>
        <?php if( !empty( $holiday)){?></a><?php }?>
<?php
        $comentariu = getDayComment( $details ) . getDayComment( $holiday );
        if( getLiturghia( $week, $zi ) == LIT_NU )
        {
            $comentariu .= '(' . $ls->LIT_NU . ')';
        }
        if( !empty( $comentariu))
        {
?>
        <span class='comentariu'><?= $comentariu?></span>
<?php   }

        $post = getPost( $zi["mday"], $zi["mon"], $zi["year"] );
        $pics = getPostPics( $post);
        if( $postText = getPostText( $post, $zi )){
?>
        <span class="comentariu">(<?= htmlspecialchars( $postText)?>)</span>
<?php
        }

        if (isset($holiday->patrar)) {
            $pics = $holiday->patrar . $pics;
        }
?>
        <span class="next"><?= $pics?></span>
<?php
		if( $duminica )
		{
?>
		<tr class="duminica">
			<td colspan="3"><?php if( @$details->title ){ ?>
				<span class="title"><?= htmlspecialchars($details->title)?></span><?php if( @$details->subtitle ){ ?>
				<span class="subtitle">(<?= htmlspecialchars($details->subtitle)?>)</span><?php } ?>;
<?php }
			$voscr = @$holiday->voscr;
			$glas = @$holiday->glas;
			if( empty( $holiday->title ))
			{
				$holiday = FALSE;
			}
?>
				<?= DayDetails::getPericopa( DayDetails::joinMembers( "Ap", $holiday, $details ),
					DayDetails::joinMembers( "Ev", $holiday, $details ) )?><?php
			if( $voscr )
			{
?>; <?= $ls->glas?>&nbsp;<?= $glas?>, <?= $ls->voscr?>&nbsp;<?= $voscr?>
<?php
			}
		}
	}
?>
</body>
</html>
